SYSCTL(8)

NAME
sysctl - configure kernel parameters at runtime

SYNOPSIS
sysctl [-n] [-e] variable ...
sysctl [-n] [-e] [-q] -w variable=value ...
sysctl [-n] [-e] [-q] -p [filename]...
sysctl [-n] [-e] [-q] --system
sysctl [-n] [-e] -a
sysctl [-n] [-e] -A

DESCRIPTION
sysctl is used to modify kernel parameters at runtime. The parameters available are those listed under /proc/sys/. Procfs is required for sysctl(8) support in Linux. You can use sysctl(8) to both read and write sysctl data.

PARAMETERS

variable
    The name of a key to read from. An example is kernel.ostype. The '/' separator is also accepted in place of a '.'.

variable=value
    To set a key, use the form variable=value, where variable is the key and value is the value to set it to. If the value contains quotes or characters which are parsed by the shell, you may need to enclose the value in double quotes. This requires the -w parameter to use.

-n  Use this option to disable printing of the key name when printing values.

-e  Use this option to ignore errors about unknown keys.

-N  Use this option to only print the names. It may be useful with shells that have programmable completion.

-q  Use this option to not display the values set to stdout.

-w  Use this option when you want to change a sysctl setting.

-p  Load in sysctl settings from the file(s) specified or /etc/sysctl.conf if none given. Specifying - as filename means reading data from standard input.

--system
    Load settings from all system configuration files. Files are read from directories in the following list in given order from top to bottom. Once a file of a given filename is loaded, any file of the same name in subsequent directories is ignored.
    /run/sysctl.d/*.conf
    /etc/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-a  Display all values currently available.

-A  Same as -a

EXAMPLES

/sbin/sysctl -a

/sbin/sysctl -n kernel.hostname

/sbin/sysctl -w kernel.domainname="example.com"

/sbin/sysctl -p /etc/sysctl.conf

NOTES
Please note that modules loaded after sysctl is run may override the settings (example: sunrpc.* settings are overridden when the sunrpc module is loaded). This may cause some confusion during boot when the settings in sysctl.conf may be overriden. To prevent such a situation, sysctl must be run after the particular module is loaded (e.g., from /etc/rc.d/rc.local or by using the install directive in modprobe.conf)

FILES
/proc/sys /etc/sysctl.conf

SEE ALSO
sysctl.conf(5), modprobe.conf(5)

AUTHOR
George Staikos, <staikos@0wned.org>